Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.wml.dom
Class WMLPElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.wml.dom.WMLElementImpl
                                    |
                                    +--org.apache.wml.dom.WMLPElementImpl

All Implemented Interfaces:
  java.lang.Cloneable, org.w3c.dom.Element, org.w3c.dom.events.EventTarget, org.w3c.dom.Node, org.w3c.dom.NodeList, java.io.Serializable, org.apache.xerces.dom3.TypeInfo, WMLElement, WMLPElement

public class WMLPElementImpl
extends WMLElementImpl
implements WMLPElement

Version:
  $Id: WMLPElementImpl.java,v 1.1 2000/04/23 18:07:47 david Exp $
Author:
  David Li
See Also:
  Serialized Form

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.apache.xerces.dom3.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`WMLPElementImpl(WMLDocumentImpl owner, java.lang.String tagName)`

Method Summary
`java.lang.String` | `getAlign()`
`java.lang.String` | `getClassName()`
`java.lang.String` | `getId()`
`java.lang.String` | `getMode()`
`java.lang.String` | `getXmlLang()`
`void` | `setAlign(java.lang.String newValue)` 'align' specifies the align of teh paragraph The legal values are 'left,' 'center,' and 'right' (Section 11.8.3, WAP WML Version 16-Jun-1999)
`void` | `setClassName(java.lang.String newValue)` The 'class' attribute of a element that affiliates an elements with one or more elements.
`void` | `setId(java.lang.String newValue)` The element's identifier which is unique in a single deck.
`void` | `setMode(java.lang.String newValue)` 'mode' specifies the wrapping mode of the paragraph.
`void` | `setXmlLang(java.lang.String newValue)` The xml:lang that specifics the natural or formal language in which the document is written.

Methods inherited from class org.apache.xerces.dom.ElementImpl
`cloneNode, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getBaseURI, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getTypeName, getTypeNamespace, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isDerivedFrom, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getLocalName, getNamespaceURI, getNodeNumber, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### WMLPElementImpl

    public WMLPElementImpl(WMLDocumentImpl owner,
                           java.lang.String tagName)

Method Detail

### setClassName

    public void setClassName(java.lang.String newValue)

  Description copied from interface: `WMLElement`
  The 'class' attribute of a element that affiliates an elements with one or more elements. (Section 8.9, WAP WML Version 16-Jun-1999)
  Specified by:
    `setClassName` in interface `WMLElement`
  Overrides:
    `setClassName` in class `WMLElementImpl`

### getClassName

    public java.lang.String getClassName()

  Specified by:
    `getClassName` in interface `WMLElement`
  Overrides:
    `getClassName` in class `WMLElementImpl`

### setMode

    public void setMode(java.lang.String newValue)

  Description copied from interface: `WMLPElement`
  'mode' specifies the wrapping mode of the paragraph. The legal values are 'wrap' and 'nowrap' (Section 11.8.3, WAP WML Version 16-Jun-1999)
  Specified by:
    `setMode` in interface `WMLPElement`

### getMode

    public java.lang.String getMode()

  Specified by:
    `getMode` in interface `WMLPElement`

### setXmlLang

    public void setXmlLang(java.lang.String newValue)

  Description copied from interface: `WMLPElement`
  The xml:lang that specifics the natural or formal language in which the document is written. (Section 8.8, WAP WML Version 16-Jun-1999)
  Specified by:
    `setXmlLang` in interface `WMLPElement`
  Overrides:
    `setXmlLang` in class `WMLElementImpl`

### getXmlLang

    public java.lang.String getXmlLang()

  Specified by:
    `getXmlLang` in interface `WMLPElement`
  Overrides:
    `getXmlLang` in class `WMLElementImpl`

### setAlign

    public void setAlign(java.lang.String newValue)

  Description copied from interface: `WMLPElement`
  'align' specifies the align of teh paragraph The legal values are 'left,' 'center,' and 'right' (Section 11.8.3, WAP WML Version 16-Jun-1999)
  Specified by:
    `setAlign` in interface `WMLPElement`

### getAlign

    public java.lang.String getAlign()

  Specified by:
    `getAlign` in interface `WMLPElement`

### setId

    public void setId(java.lang.String newValue)

  Description copied from interface: `WMLElement`
  The element's identifier which is unique in a single deck. (Section 8.9, WAP WML Version 16-Jun-1999)
  Specified by:
    `setId` in interface `WMLElement`
  Overrides:
    `setId` in class `WMLElementImpl`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `WMLElement`
  Overrides:
    `getId` in class `WMLElementImpl`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.